- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnNObjectData Class Reference

# OpenMayaFX - API module for effects | FunctionSet classes

Search for all occurrences

## Detailed Description

function set for nCloth object data

Class for transferring N object data between connections

Examples:

  testNobjectNode.cpp, and testNucleusNode.cpp.

`#include <MFnNObjectData.h>`

Inheritance diagram for MFnNObjectData:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnNObjectData ()
| Destructor.
| MFnNObjectData ()
| Default constructor.
| MFnNObjectData (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MObject | create () const
| Creates an underlying Maya N data object and return it as an MObject.
MStatus | getObjectPtr (MnCloth *&ptr) const
| NO SCRIPT SUPPORT.
MStatus | getObjectPtr (MnRigid *&ptr) const
| NO SCRIPT SUPPORT.
MStatus | getObjectPtr (MnParticle *&ptr) const
| NO SCRIPT SUPPORT.
MnCloth * | getClothObjectPtr (MStatus *status=NULL) const
| Get the nObject pointer for an nCloth.
MnRigid * | getRigidObjectPtr (MStatus *status=NULL) const
| Get the nObject pointer for an nRigid.
MnParticle * | getParticleObjectPtr (MStatus *status=NULL) const
| Get the nObject pointer for an nParticle.
MStatus | setObjectPtr (MnCloth *ptr)
| Set the nCloth pointer.
MStatus | setObjectPtr (MnRigid *ptr)
| Set the nRigid pointer.
MStatus | setObjectPtr (MnParticle *ptr)
| Set the nParticle pointer.
MStatus | getCollide (bool &) const
| Get wether the nObject is allowed to participate in collisions.
MStatus | getCached (bool &cached) const
| NO SCRIPT SUPPORT.
bool | isCached (MStatus *status=NULL) const
| Get whether the nObject is cached.
MStatus | setCached (bool cached)
| Set wether the nObject is cached.
| MFnNObjectData (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnNObjectData | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnNObjectData | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kNObjectData.

Reimplemented from MFnData.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnNObjectData".

Reimplemented from MFnData.

MObject create | ( |  | ) | const

Search for all occurrences

Creates an underlying Maya N data object and return it as an MObject.

Returns:
  The newly object.

Examples:
  testNobjectNode.cpp.

MStatus getObjectPtr | ( | MnCloth *& | ptr | ) | const

Search for all occurrences

NO SCRIPT SUPPORT.

Get the nObject pointer for an nCloth.

Parameters:

  [in] | ptr | Storage to return the pointer to the N cloth.

Returns:
  Status Code

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MStatus getObjectPtr | ( | MnRigid *& | ptr | ) | const

Search for all occurrences

NO SCRIPT SUPPORT.

Get the nObject pointer for an nRigid.

Parameters:

  [in] | ptr | Storage to return the pointer to the N rigid

Returns:
  Status Code

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MStatus getObjectPtr | ( | MnParticle *& | ptr | ) | const

Search for all occurrences

NO SCRIPT SUPPORT.

Get the nObject pointer for an nParticle.

Parameters:

  [in] | ptr | Storage to return the pointer to the N particle.

Returns:
  Status Code

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MnCloth * getClothObjectPtr | ( | MStatus * | status = `NULL` | ) | const

Search for all occurrences

Get the nObject pointer for an nCloth.

Parameters:

  [out] | status | Status Code

Returns:
  the pointer to the N cloth

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MnRigid * getRigidObjectPtr | ( | MStatus * | status = `NULL` | ) | const

Search for all occurrences

Get the nObject pointer for an nRigid.

Parameters:

  [out] | status | Status Code

Returns:
  the pointer to the N rigid

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MnParticle * getParticleObjectPtr | ( | MStatus * | status = `NULL` | ) | const

Search for all occurrences

Get the nObject pointer for an nParticle.

Parameters:

  [out] | status | Status Code

Returns:
  the pointer to the N particle

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MStatus setObjectPtr | ( | MnCloth * | ptr | ) |

Search for all occurrences

Set the nCloth pointer.

Parameters:

  [in] | ptr | pointer to the N cloth

Returns:
  Status Code

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

Examples:
  testNobjectNode.cpp.

MStatus setObjectPtr | ( | MnRigid * | ptr | ) |

Search for all occurrences

Set the nRigid pointer.

Parameters:

  [in] | ptr | pointer to the nRigid

Returns:
  Status Code

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MStatus setObjectPtr | ( | MnParticle * | ptr | ) |

Search for all occurrences

Set the nParticle pointer.

Parameters:

  [in] | ptr | pointer to the nParticle

Returns:
  Status Code

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MStatus getCollide | ( | bool & | collide | ) | const

Search for all occurrences

Get wether the nObject is allowed to participate in collisions.

Parameters:

  [out] | collide | the collision state

Returns:
  Status Code

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MStatus getCached | ( | bool & | cached | ) | const

Search for all occurrences

NO SCRIPT SUPPORT.

Get whether the nObject is cached.

Parameters:

  [out] | cached | the cache state

Returns:
  Status Code

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

bool isCached | ( | MStatus * | status = `NULL` | ) | const

Search for all occurrences

Get whether the nObject is cached.

Parameters:

  [out] | status | Status Code

Returns:
  the cache state

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

MStatus setCached | ( | bool | cached | ) |

Search for all occurrences

Set wether the nObject is cached.

Parameters:

  [in] | cached | the cache state

Returns:
  Status Code

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure this function set does not have a valid object

Examples:
  testNobjectNode.cpp.

MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData
MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData MFnNObjectData